------art_5007_306993.1134229725383
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Hi.

I am trying again to pick up question about Gem behind proxy with
authorization.
Problem related to
http://rubyforge.org/tracker/index.php?func=detail&aid=1289&group_id=126&atid=575

Seems that is most requestable bug in Gem project.

I am sitting behind proxy with authorization and only this problem gives me
no rest. After installing DamageControl that requires
more then 10 gems I decided to investigate this problem by myself.

First of all Open-uri lib does not support http_proxy with login/password
encoded in URL.
So it does not correctly parse my EnvVariable
HTTP_PROXY=http://login:passwd / www.proxy.com:8080/<http://lgoin:passwd / www.proxy.com:8080/>
.
I patched open-uri to solve this problem. To be honest I patch open-uri lib
from RubyCVS version that will be in Ruby 1.8.4 version.

Here you can find patch and here full *.rb
version(http://pomozov.info/downloads/gems/open-uri.patchand
http://pomozov.info/downloads/gems/open-uri.rb
). I have replaced following file "C:\Program
Files\ruby\lib\ruby\site_ruby\1.8\rubygems\open- uri.rb" with patched
version

And following code(insied patched open-uri)
    io.status = [resp.code, resp.message]
    p io.status
give us
    ["200", "OK"]

So now socket connection seems ok.

Also I have tried to dump data that comes from socket (see it here
http://pomozov.info/downloads/gems/dump.Z
) and I found that it is absolutely the same files as
http://gems.rubyforge.org/yaml.Z
So Gem *could download* index file. Proxy wall passed!!!! I feel solution is
somewhere close to me.
But I try to run gem and I get error

C:\Documents and Settings\anatol>gem list -r --backtrace

*** REMOTE GEMS ***
Updating Gem source index for: http://gems.rubyforge.org
ERROR:  HTTP Response 407

No stacktrace, no error. What I am doing wrong?? How could I get more info?
How to figure place where error occurred.
Please help me. I want to solve this problem very much. I want to use Gems.
--
anatol (http://pomozov.info )

------art_5007_306993.1134229725383--